Last Comment Bug 722391 - Upgrade to zlib 1.2.6
: Upgrade to zlib 1.2.6
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: General (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla14
Assigned To: Daniel Jeter II
:
Mentors:
http://www.zlib.net/ChangeLog.txt
Depends on: 573137
Blocks: 751697
  Show dependency treegraph
 
Reported: 2012-01-30 11:05 PST by Daniel Holbert [:dholbert]
Modified: 2012-05-08 08:13 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch to upgrade zlib to 1.2.6 (141.41 KB, patch)
2012-02-08 11:08 PST, Daniel Jeter II
no flags Details | Diff | Review
Updated zlib_patch.diff (141.37 KB, patch)
2012-02-09 10:23 PST, Daniel Jeter II
joe: review+
Details | Diff | Review

Description Daniel Holbert [:dholbert] 2012-01-30 11:05:10 PST
Looks like zlib released a new version 1.2.6, 2 days ago.  We're currently on 1.2.5, last updated in bug 573137.

From http://www.zlib.net/ :
{{
Version 1.2.6 has many changes over 1.2.5, including these improvements:

    gzread() can now read a file that is being written concurrently
    gzgetc() is now a macro for increased speed
    Added a 'T' option to gzopen() for transparent writing (no compression)
    Added deflatePending() to return the amount of pending output
    Allow deflateSetDictionary() and inflateSetDictionary() at any time in raw mode
    deflatePrime() can now insert bits in the middle of the stream
    ./configure now creates a configure.log file with all of the results
    Added a ./configure --solo option to compile zlib with no dependency on any libraries
    Fixed a problem with large file support macros
    Fixed a bug in contrib/puff
    Many portability improvements
}}

Filing this bug to track taking the upgrade (assuming that we want to take the upgrade).
Comment 1 Daniel Holbert [:dholbert] 2012-01-30 11:07:53 PST
FWIW, our zlib import lives in http://mxr.mozilla.org/mozilla-central/source/modules/zlib/src/
Comment 2 Daniel Jeter II 2012-02-08 11:08:15 PST
Created attachment 595458 [details] [diff] [review]
Patch to upgrade zlib to 1.2.6
Comment 3 Daniel Jeter II 2012-02-09 10:23:35 PST
Created attachment 595807 [details] [diff] [review]
Updated zlib_patch.diff

Fixed a nit: Define io.h in gzguts.h when __TURBOC__ or _MSC_VER is defined.
Comment 4 Gian-Carlo Pascutto [:gcp] 2012-03-21 04:56:13 PDT
Comment on attachment 595807 [details] [diff] [review]
Updated zlib_patch.diff

This won't move anywhere without a review.

Bug 573137 was the last update, reviewed by joe. Joe, if you're not the right one to tackle this further, can you forward to the right person?
Comment 5 Joe Drew (not getting mail) 2012-03-22 07:21:02 PDT
Comment on attachment 595807 [details] [diff] [review]
Updated zlib_patch.diff

Review of attachment 595807 [details] [diff] [review]:
-----------------------------------------------------------------

I rubber stamp this! Time to put it on try, which I'll cause to happen.
Comment 6 Mozilla RelEng Bot 2012-03-22 07:26:40 PDT
Autoland Patchset:
	Patches: 595807
	Branch: mozilla-central => try
	Destination: http://hg.mozilla.org/try/pushloghtml?changeset=0e450d307865
Try run started, revision 0e450d307865. To cancel or monitor the job, see: https://tbpl.mozilla.org/?tree=Try&rev=0e450d307865
Comment 7 Mozilla RelEng Bot 2012-03-22 11:47:36 PDT
Try run for 0e450d307865 is complete.
Detailed breakdown of the results available here:
    https://tbpl.mozilla.org/?tree=Try&rev=0e450d307865
Results (out of 14 total builds):
    success: 14
Builds (or logs if builds failed) available at:
http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/autolanduser@mozilla.com-0e450d307865
Comment 8 Daniel Holbert [:dholbert] 2012-04-09 12:08:45 PDT
Landed:
  https://hg.mozilla.org/integration/mozilla-inbound/rev/503a4e4804f0
Comment 9 :Ehsan Akhgari (out sick) 2012-04-10 08:32:07 PDT
https://hg.mozilla.org/mozilla-central/rev/503a4e4804f0

Note You need to log in before you can comment on or make changes to this bug.